/**
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.apache.camel.component.sed;

import static org.testng.AssertJUnit.*;
import org.testng.annotations.AfterTest;
import org.testng.annotations.BeforeTest;
import org.testng.annotations.Test;


import java.util.List;
import java.io.IOException;
import java.io.File;
import java.util.regex.*;


/**
 *  Standalone regex configuration file reader test
 */
public class SedExpressionSetTest {


  @BeforeTest
  public void setUp() {
  }

  @AfterTest
  public void tearDown() {
    // Add your code here
  }


  /** Simple test of loading a SED rule set from a file. */
  @Test
  public void loadFileTest()
    throws IOException, PatternSyntaxException {

    SedExpressionSet ruleSet = 
      new SedExpressionSet( new File("./src/test/resources/modifyXmlNamespaceVersion") );
    
  }


}
